ReferenceAdmin
API keys and widget keys not yet on the current API key pepper (platform admins and auditors)
GET
/v1/admin/key-rotationDuring an API_KEY_PEPPER rotation (docs/operations/rotate-keys.md), each key is re-hashed with the new pepper when it is next used. This lists the usable keys (not revoked or expired) that are not on the current pepper yet: "previous" keys stop working when API_KEY_PEPPER_PREVIOUS is removed; "retired" keys were hashed with a pepper that is no longer configured and cannot work. Never returns digests or keys.
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/admin/key-rotation"{ "data": { "previousPepperConfigured": true, "keys": [ { "kind": "api_key", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "teamSlug": "string", "teamName": "string", "agentName": "string", "lastUsedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "state": "previous" } ] }}